another jquerry conflict Status:

Home Forums Thumbnail Gallery (jQuery Plugin) another jquerry conflict

This topic is: not a support question

This topic contains 6 replies, has 2 voices, and was last updated by  anthonyallen 3 years, 4 months ago.

Viewing 7 posts - 1 through 7 (of 7 total)

  • Hi, I am running :
    <script src=”js/jquery.1.7.1.min.js”></script>
    This appears to conflict with the gallery because.. the gallery doesn’t work (never visible).

    If I remove the <script src=”js/jquery.1.7.1.min.js”></script>,
    then the gallery works great!

    Problem is, the <script src=”js/jquery.1.7.1.min.js”></script> affects an image slider and more importantly, menu navigation dropdown. I can remove the slider option, but I’ve gotta have navigation for the site.

    At least 3 of the following are required to keep my menu running.
    List of js currently used on site (before gallery):
    <script src=”js/modernizr.min.js”></script>
    <script src=”js/jquery.1.7.1.min.js”></script>
    <script src=”js/jquery.easing.1.3.js”></script>
    <script src=”js/bootstrap.js”></script>
    <script src=”js/superfish.js”></script>
    <script src=”js/costum.js”></script>

    The only one that seems to affect the gallery is
    <script src=”js/jquery.1.7.1.min.js”></script>

    Options?

    Thanks,
    Tony



    Ovidiu Support Team #6311

    Hi,

    I solution to this is to add the file to the page you need.



    Could you be more specific and provide greater detail? And which file are you referring to?

    Thanks.



    BTW.. here is the test page if you would like to see:





    Ovidiu Support Team #6387

    Hi,

    The reason the menu isn’t working is because the menu is using an old jQuery function. Try to keep

    and remove:



    I am not understanding this because you say my menu is using old jQuery function, which is the one you tell me to keep. The gallery uses some jQuery called jquery-latest.js, which is the one you say not to keep… either way it appears to be irrelevant, as I have tried it all 3 ways and nothing works. Even tried newer versions of jQuery … 2.03 and 1.8.2

    My site uses:
    (SCRIPT 1) <script src=”js/jquery.1.7.1.in.js></script>
    Before adding the gallery all is well and menu works.

    the Thumb Gallery uses:
    (SCRIPT 2) <script type=”text/JavaScript” src=”http://code.jquery.com/jquery-latest.js”></script>

    When I add the gallery, and add the SCRIPT 2 for the gallery… the gallery does not work… but my menu Continues to work.

    When I remove the gallery js (SCRIPT 2), the gallery does not work, and my menu Continues to work.

    When I Keep gallery JS: SCRIPT 2 and Remove Site JS: SCRIPT 1, the gallery works, but my menu Stops working.

    Question:
    If I keep my site JS: SCRIPT 1, But don’t use gallery JS: SCRIPT 2… is a code change needed for the gallery software in order to use a different JS: SCRIPT 1 ???

    So far, there are only 3 options.
    Keep Mine: Menu Works, Gallery NOT Work
    Keep Both: Menu Works, Gallery NOT work
    Keep Yours: Menu NOT work, Gallery Works

    and New JQuery versions don’t help.


Viewing 7 posts - 1 through 7 (of 7 total)

The topic another jquerry conflict is closed to new replies.